> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xhuoapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Producer Download WAV API Integrationsanleitung

> Producer Music Generation 集成指南 - XHuoAPI

Producer ermöglicht es uns, WAV-Dateien, die mit Songs verbunden sind, herunterzuladen. Dieses Dokument erklärt die Integrationsmethoden der entsprechenden API.

Diese API hat nur einen Eingabeparameter, nämlich `audio_id`, die die eindeutige ID des Songs ist.

Hier geben wir die `audio_id` ein, die `a54609c6-13e2-4176-be0f-4d7eebc68e1f` ist, eine von Producer generierte Song-ID.

```bash theme={null}
curl -X POST 'https://api.xhuoapi.ai/v1/producer/wav' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'
```

Das Ergebnis sieht wie folgt aus:

```
{
  "success": true,
  "task_id": "44963173-b6c5-463c-915f-96730d14ec63",
  "trace_id": "f75d6a27-54bc-49fd-a40e-6d4cd0427764",
  "data": [
    {
      "title": "Woke up with the sun in my eyes",
      "file_url": "https://cdn.ttapi.io/other/2025-12-30/a1508051-a6b8-4867-8cbb-32273a99c2ae.wav"
    }
  ]
}
```

Man kann sehen, dass das `file_url` Feld in `data` der Download-Link für die WAV-Datei ist.
